Bug 23304 - Reindent cataloguing/z3950_search.tt
Summary: Reindent cataloguing/z3950_search.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks: 23307
  Show dependency treegraph
 
Reported: 2019-07-11 18:52 UTC by Owen Leonard
Modified: 2019-08-06 14:42 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23304: Reindent cataloguing/z3950_search.tt (28.16 KB, patch)
2019-07-12 12:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22304: (follow-up) Add markup structure comments (4.22 KB, patch)
2019-07-12 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22304: (follow-up) Add markup structure comments (4.42 KB, patch)
2019-07-12 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23304: Reindent cataloguing/z3950_search.tt (28.21 KB, patch)
2019-07-12 18:00 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 22304: (follow-up) Add markup structure comments (4.47 KB, patch)
2019-07-12 18:00 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 23304: Reindent cataloguing/z3950_search.tt (28.28 KB, patch)
2019-07-19 11:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22304: (follow-up) Add markup structure comments (4.54 KB, patch)
2019-07-19 11:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-11 18:52:01 UTC
I would like to correct whitespace in the template for the Z39.50 search window in cataloging: Convert tabs to spaces, trim trailing spaces, reindent.
Comment 1 Owen Leonard 2019-07-12 12:22:11 UTC
Created attachment 91483 [details] [review]
Bug 23304: Reindent cataloguing/z3950_search.tt

This patch reindents cataloguing/z3950_search.tt to use four spaces and
to eliminate tabs, following coding guidelines. Trailing white space has
been removed, and some minor markup errors have been corrected for
validity.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but I'm not giving orders, you do you.

Go to Cataloging -> New from Z39.50/SRU. Test that the search form and
results look correct and work correctly.
Comment 2 Owen Leonard 2019-07-12 13:44:49 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-07-12 13:57:10 UTC
Created attachment 91491 [details] [review]
Bug 22304: (follow-up) Add markup structure comments

This patch adds comments to the template to highlight the markup
structure. It also removes the obsolete "type" attribute from the
<script> tag.

This patch should have no effect on the interface or functionality.
Comment 4 Nadine Pierre 2019-07-12 18:00:12 UTC
Created attachment 91498 [details] [review]
Bug 23304: Reindent cataloguing/z3950_search.tt

This patch reindents cataloguing/z3950_search.tt to use four spaces and
to eliminate tabs, following coding guidelines. Trailing white space has
been removed, and some minor markup errors have been corrected for
validity.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but I'm not giving orders, you do you.

Go to Cataloging -> New from Z39.50/SRU. Test that the search form and
results look correct and work correctly.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 5 Nadine Pierre 2019-07-12 18:00:18 UTC
Created attachment 91499 [details] [review]
Bug 22304: (follow-up) Add markup structure comments

This patch adds comments to the template to highlight the markup
structure. It also removes the obsolete "type" attribute from the
<script> tag.

This patch should have no effect on the interface or functionality.

https://bugs.koha-community.org/show_bug.cgi?id=23304
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 6 Nick Clemens 2019-07-19 11:28:25 UTC
Created attachment 91635 [details] [review]
Bug 23304: Reindent cataloguing/z3950_search.tt

This patch reindents cataloguing/z3950_search.tt to use four spaces and
to eliminate tabs, following coding guidelines. Trailing white space has
been removed, and some minor markup errors have been corrected for
validity.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but I'm not giving orders, you do you.

Go to Cataloging -> New from Z39.50/SRU. Test that the search form and
results look correct and work correctly.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Nick Clemens 2019-07-19 11:28:28 UTC
Created attachment 91636 [details] [review]
Bug 22304: (follow-up) Add markup structure comments

This patch adds comments to the template to highlight the markup
structure. It also removes the obsolete "type" attribute from the
<script> tag.

This patch should have no effect on the interface or functionality.

https://bugs.koha-community.org/show_bug.cgi?id=23304
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Martin Renvoize 2019-07-19 13:08:05 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-06 14:42:47 UTC
Pushed to 19.05.x for 19.05.03